com.sun.jna.platform.win32

## Class OaIdl.VARIANT_BOOL

- java.lang.Object
- - java.lang.Number
  - - com.sun.jna.IntegerType
    - - com.sun.jna.platform.win32.OaIdl.VARIANT_BOOL

- All Implemented Interfaces:
    NativeMapped, java.io.Serializable
  Direct Known Subclasses:
    OaIdl._VARIANT_BOOL
  Enclosing interface:
    OaIdl

      public static class OaIdl.VARIANT_BOOL
      extends IntegerType

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OaIdl.VARIANT_BOOL()`
    `OaIdl.VARIANT_BOOL(boolean value)`
    `OaIdl.VARIANT_BOOL(long value)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `booleanValue()`

    - ### Methods inherited from class com.sun.jna.IntegerType

      `compare, compare, compare, doubleValue, equals, floatValue, fromNative, hashCode, intValue, longValue, nativeType, setValue, toNative, toString`

    - ### Methods inherited from class java.lang.Number

      `byteValue, shortValue`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### SIZE

          public static final int SIZE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### OaIdl.VARIANT_BOOL

          public OaIdl.VARIANT_BOOL()

    - #### OaIdl.VARIANT_BOOL

          public OaIdl.VARIANT_BOOL(long value)

    - #### OaIdl.VARIANT_BOOL

          public OaIdl.VARIANT_BOOL(boolean value)

  - ### Method Detail

    - #### booleanValue

          public boolean booleanValue()

Copyright © 2007-2016 Timothy Wall. All Rights Reserved.